#!/bin/sh
mvn clean package

docker build -t crowd_review:0.2 .

docker run --name crowd_review --rm -it -v /Users/major/development/crowd_review/deploy.sh:/project/deploy.sh -p 8090:8090 -e MONGODB_REVIEW_DB=crowd_review -e MONGODB_REVIEW_HOST=host.docker.internal -e MONGODB_REVIEW_PORT=27017 -e MONGODB_REPORT_DB=co-report -e MONGODB_REPORT_HOST=host.docker.internal -e MONGODB_REPORT_PORT=27017 -e EXPORT_ADDR=http://182.254.197.194:9002/generateReport crowd_review:0.2 /bin/sh


