package com.mooctest.dao;

import com.mooctest.model.AggTaskStatus;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.Date;
import java.util.List;

public interface AggTaskStatusDao extends MongoRepository<AggTaskStatus, Long> {
    List<AggTaskStatus> findByTaskIdOrderByStartTimeDesc(String taskId);
    AggTaskStatus findByTaskIdAndStartTime(String taskId, Date startTime);
}
