package com.mooctest.event;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
@AllArgsConstructor
public class TaskEndEvent implements Event {
    long examId;
    long caseId;

    @Override
    public String getDescription() {
        return String.format("bug report aggregate end, exam id: %d, case id: %d", examId, caseId);
    }
}
