package com.mooctest.event;

import com.google.common.eventbus.Subscribe;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class TaskEndListener implements InitializingBean {
    @Autowired
    private EventUtil eventUtil;

    @Override
    public void afterPropertiesSet() throws Exception {
        eventUtil.register(this);
    }

    @Subscribe
    public void updateTaskStatus(TaskEndEvent event) {

    }
}
