package com.mooctest.model;

import com.mooctest.annotation.AutoValue;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "AggTaskStatus")
public class AggTaskStatus {

    @Id
    @AutoValue
    private long id;

    private String taskId;

    private int status;

    private Date startTime;

    private Date endTime;
}
