package com.mooctest.model;

import com.mooctest.annotation.AutoValue;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import javax.persistence.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "MasterReport")
public class MasterReport {
    @Id
    @AutoValue
    private long id;

    private String masterId;

    private long examId;

    private long caseId;

    private String bugId;

    private int status = 0;

    private Long reviewerId;
}
