package com.mooctest.model;

import com.mooctest.annotation.AutoValue;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Document(collection = "SupplementItem")
public class SupplementItem {
    @Id
    @AutoValue
    private long id;

    
    private String masterId;

    private String bugId;

    private int index;

    private String supplementId;

    private double pageRankScore;

    private String content;

    private boolean isImg;

}
