package com.mooctest.service;

import com.mooctest.data.BugDTO;
import com.mooctest.data.ReportDTO;

import java.util.List;
import java.util.Map;

public interface BugReportService {
    List<ReportDTO> getReports(long examId, long caseId);
    List<BugDTO> mergeAllBugs(List<ReportDTO> reportDTOs);
    List<BugDTO> getAllBugs(long examId, long caseId);
    Map<String, BugDTO> getAllBugsMap(long examId, long caseId);
//    BugDTO getBugById(String bugId);
    BugDTO getBugById(String bugId, long examId, long caseId);
//    Map<String, List<BugDTO>> getMasterBugMap(Map<String, List<String>> masterBugIdsMap, Map<String, BugDTO> bugsMap);
}
