package com.mooctest;

import com.mooctest.util.Doc2VecUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.boot.web.support.SpringBootServletInitializer;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@ServletComponentScan
@EnableAsync
public class CrowdReviewApplication extends SpringBootServletInitializer {
    public static void main(String[] args) {
        SpringApplication.run(CrowdReviewApplication.class, args);
        Doc2VecUtil.loadModel();
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        return application.sources(CrowdReviewApplication.class);
    }
}
