package com.mooctest.dao;

import com.mooctest.model.FinalReport;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional
public interface FinalReportDao extends MongoRepository<FinalReport, Long> {

    List<FinalReport> findByExamIdAndCaseId(long examId, long caseId);
    List<FinalReport> findBySourceId(String sourceId);
}
