package com.mooctest.data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class BugDTO{
    private String id;
    private String caseTakeId;
    private String bugCategory;
    private String description;
    private short severity = 3;
    private short recurrent = 3;
    private List<String> path;
    private String[] imgUrls;
    private String createTimeMillis;
    private List<SentenceDTO> taggedSentences;
    private List<ImgDTO> taggedImgs;
    private int status = 0;
    private Long reviewerId;
    private String masterId;
}
