package com.mooctest.event;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
@AllArgsConstructor
public class TaskStartEvent implements Event {
    private long examId;
    private long caseId;

    @Override
    public String getDescription() {
        return String.format("bug report aggregate start, exam id: %d, case id: %d", examId, caseId);
    }
}
