package com.mooctest.model;

import com.mooctest.annotation.AutoValue;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "FinalReport")//建议名字和类名一致
public class FinalReport {
    @Id
    @AutoValue
    private long id;

    
    private String description;

    
    private String imgUrls;

    
    private short severity;

    
    private short recurrent;

    
    private int category;

    
    private long writerId;

    
    private String sourceId;

    
    private Date createTime;

    
    private long examId;

    
    private long caseId;
}
